/*
 Copyright (C) 2007 by Ben Anderman <ben@happyspork.com>
 Part of Sporktris http://www.happyspork.com/games
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License.
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY.
 
 See the License.txt file for more details.
 */

#ifndef MENU_H
#define MENU_H

#include <SDL.h>
#include <SDL_ttf.h>
#include <vector>
#include <map>
#include <string>

#include "namedv.h"
#include "layers.h"

using namespace std;

class Menu
{
	Namedv menu_info;
	layerset ls;
	vector<SDL_Rect> button_rects;
	map<string, SDL_Surface*> surfs;
	map<string, TTF_Font*> fonts;
	SDL_Surface *screen, *background;
	
	public:
	Menu (const char *filename, Namedv *data = NULL);
	~Menu (void);
	string hit_test (void);
	bool hit_test (int x, int y, SDL_Rect *rect);
	bool handle_mouse_move (int x, int y);
	void init_ttf (void);
	string add_vars (string str, Namedv *data);
};

#endif
